# OpenTimelineIO Serialized Data Documentation

This document is a list of all the OpenTimelineIO classes that serialize to and
from JSON, omitting plugins classes and docstrings.

This document is automatically generated by running
 docs/autogen_serialized_datamodel.py, or by running `make doc-model`.  It is
 part of the unit tests suite and should be updated whenever the schema changes.
 If it needs to be updated, run: `make doc-model-update` and this file should be
 regenerated.

# Classes


## Module: opentimelineio.adapters

### Adapter.1

parameters:
- *execution_scope*
- *filepath*
- *name*
- *suffixes*

## Module: opentimelineio.core

### Composable.1

parameters:
- *metadata*
- *name*

### Composition.1

parameters:
- *children*
- *effects*
- *markers*
- *metadata*
- *name*
- *source_range*

### Item.1

parameters:
- *effects*
- *markers*
- *metadata*
- *name*
- *source_range*

### MediaReference.1

parameters:
- *available_range*
- *metadata*
- *name*

## Module: opentimelineio.hooks

### HookScript.1

parameters:
- *execution_scope*
- *filepath*
- *name*

## Module: opentimelineio.media_linker

### MediaLinker.1

parameters:
- *execution_scope*
- *filepath*
- *name*

## Module: opentimelineio.opentime

### RationalTime.1

parameters:
- *rate*
- *value*

### TimeRange.1

parameters:
- *duration*
- *start_time*

### TimeTransform.1

parameters:
- *offset*
- *rate*
- *scale*

## Module: opentimelineio.plugins

### PluginManifest.1

parameters:
- *adapters*
- *hook_scripts*
- *hooks*
- *media_linkers*
- *schemadefs*

### PythonPlugin.1

parameters:
- *execution_scope*
- *filepath*
- *name*

## Module: opentimelineio.schema

### Clip.1

parameters:
- *effects*
- *markers*
- *media_reference*
- *metadata*
- *name*
- *source_range*

### Effect.1

parameters:
- *effect_name*
- *metadata*
- *name*

### FreezeFrame.1

parameters:
- *effect_name*
- *metadata*
- *name*
- *time_scalar*

### LinearTimeWarp.1

parameters:
- *effect_name*
- *metadata*
- *name*
- *time_scalar*

### TimeEffect.1

parameters:
- *effect_name*
- *metadata*
- *name*

### ExternalReference.1

parameters:
- *available_range*
- *metadata*
- *name*
- *target_url*

### Gap.1

parameters:
- *effects*
- *markers*
- *metadata*
- *name*
- *source_range*

### GeneratorReference.1

parameters:
- *available_range*
- *generator_kind*
- *metadata*
- *name*
- *parameters*

### Marker.2

parameters:
- *color*
- *marked_range*
- *metadata*
- *name*

### MissingReference.1

parameters:
- *available_range*
- *metadata*
- *name*

### SchemaDef.1

parameters:
- *execution_scope*
- *filepath*
- *name*

### SerializableCollection.1

parameters:
- *children*
- *metadata*
- *name*

### Stack.1

parameters:
- *children*
- *effects*
- *markers*
- *metadata*
- *name*
- *source_range*

### Timeline.1

parameters:
- *global_start_time*
- *metadata*
- *name*
- *tracks*

### Track.1

parameters:
- *children*
- *effects*
- *kind*
- *markers*
- *metadata*
- *name*
- *source_range*

### Transition.1

parameters:
- *in_offset*
- *metadata*
- *name*
- *out_offset*
- *transition_type*
